dget
Prev | The Directory Cache | Next

## Name

dget — get a reference to a dentry

## Synopsis

`struct dentry * dget (` | struct dentry * | dentry`)`;

## Arguments

`dentry`

  dentry to get a reference to

## Description

Given a dentry or `NULL` pointer increment the reference count if appropriate and return the dentry. A dentry will not be destroyed when it has references. `dget` should never be called for dentries with zero reference counter. For these cases (preferably none, functions in dcache.c are sufficient for normal needs and they take necessary precautions) you should hold dcache_lock and call `dget_locked` instead of `dget`.

Prev | Up | Next
d_add_unique | Home | d_unhashed